Robotics Service Bus - Feature #1012

Change default configuration to enable only socket transport

06/20/2012 06:29 PM - S. Wrede

Status: Resolved Start date: 06/20/2012
Priority: Normal Due date:

Assignee: J. Wienke % Done: 100%
Category: Protocol Estimated time: 0.00 hour
Target version: rsb-0.9

Description

For ease-of-use and simple testdriving of RSB, we should by default enable both the in-process as well as the socket transport and
disable Spread. This is reasonable as the usecase of distributing nodes over various machines across the network is less probable in

the beginning. Phrased differently:

Simple things should be simple, complex things should be possible. (C) A. Kay

Furthermore, this will ease distribution as Spread is a blocker in terms of configuration and source availability. For instance in the
AMARS:I project that will allow us to ship the Oncilla Simulator without all the Spread overhead.

- C++0

- Java

- Python O
Common Lisp [

Related issues:

Related to Robotics Service Bus - Feature # 712: Implement socket-based trans...

Related to Robotics Service Bus - Feature # 713: Implement socket-based trans...

Related to Robotics Service Bus - Tasks # 392: Multi-Connector Setups lead to...

Related to Robotics Service Bus - Bug # 1032: Error if multiple transports ar...

Resolved
Resolved
In Progress
Resolved

11/10/2011
07/06/2012
06/24/2011
06/25/2012

Associated revisions

Revision 8e8ddc28 - 07/03/2012 04:12 PM - J. Moringen
Enable socket transport in src/rsb/Factory.cpp
refs #1012
- src/rsb/Factory.cpp: enable socket transport by default; if there is

one transport, enable it unconditionally

Revision cce487a9 - 07/03/2012 05:06 PM - J. Moringen
Fixed for r3697 in src/rsb/Factory.cpp
refs #1012

- src/rsb/Factory.cpp: fixed error in Factory constructor
Revision c5d54fa7 - 07/26/2013 09:20 AM - J. Wienke

fixes #1012: enabled socket transport as default

- Factory.java: use socket as default transport

- DefaultTransports.java: register socket transport factory
refs #725

History

#1 - 06/20/2012 06:32 PM - S. Wrede
- Description updated

#2 - 06/21/2012 03:16 PM - S. Wrede

- Subject changed from Change default configuration to enable both in-process and socket transport to Change default configuration to enable only
socket transport

- Category changed from C++ to Protocol

To avoid redundant notifications, we will disable the in-process transport.

#3 - 06/25/2012 10:34 PM - J. Moringen
- Description updated
- % Done changed from 0 to 20

#4 - 06/25/2012 10:35 PM - J. Moringen

Applied in r3616 for Python.

#5 - 06/27/2012 05:15 PM - J. Moringen
- Description updated
- % Done changed from 20 to 50

#6 - 07/03/2012 04:08 PM - J. Moringen
- Description updated

- Status changed from New to In Progress
- % Done changed from 50 to 30

Turns out, C++ still defaults to inprocess transport.

#7 - 07/03/2012 04:13 PM - J. Moringen
- Description updated
- % Done changed from 30 to 50

#8 - 07/13/2012 11:05 AM - J. Moringen
- Target version changed from rsb-0.7 to rsb-0.9

#9 - 07/16/2013 11:33 PM - J. Wienke
- Assignee changed from S. Wrede to J. Wienke

#10 - 07/16/2013 11:39 PM - J. Moringen

- Description updated
- % Done changed from 50 to 70
Common Lisp implementation also does not use Spread by default anymore.

#11 - 07/26/2013 01:39 PM - J. Wienke
- Status changed from In Progress to Resolved
- % Done changed from 70 to 100

Applied in changeset rsb-javalcommit:c5d54fa7caef543974fca71a713f2ffc14498212.
